#
# spec file for package mm-common
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mm-common
Version:        0.9.11
Release:        lp150.1.1
Summary:        Common build files of the C++ bindings
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://gtkmm.org
Source:         http://download.gnome.org/sources/%{name}/0.9/%{name}-%{version}.tar.xz
Source99:       mm-common-rpmlintrc
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is a required dependency
to build glibmm and gtkmm from git.

%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc COPYING NEWS AUTHORS
%{_bindir}/mm-common-prepare
%{_mandir}/man1/mm-common-prepare.1%{?ext_man}
%{_datadir}/aclocal/mm-*.m4
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
# Not split out as the entire point of this package is development.
%{_datadir}/pkgconfig/mm-common-libstdc++.pc
%{_datadir}/pkgconfig/mm-common-util.pc

%files docs
%defattr(-,root,root)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/mm-common/*

%changelog
* Sun Feb  4 2018 bjorn.lie@gmail.com
- Update to version 0.9.11:
  + Fix silent build (bgo#768797).
  + Build: don't save time stamps in skeletonmm.tar.gz
    (bgo#765108).
- Correct Group for docs sub package.
* Wed Aug 24 2016 zaitor@opensuse.org
- Initial package, version 0.9.10.
